module Adminlock
  class Engine < ::Rails::Engine
    isolate_namespace Adminlock

    config.generators do |g|
      g.test_framework :rspec, fixture: false
      g.assets false
      g.helper false
    end

    initializer 'adminlock.app_controller' do |app|
      ActiveSupport.on_load(:action_controller) { include Adminlock }
    end
  end
end